YPPUSH(8)

NAME
yppush - force propagation of a changed NIS map

SYNOPSIS
/usr/sbin/yp/yppush [ -v ] [ -d domain ] mapname

DESCRIPTION

yppush copies a new version of a Network Information Service (NIS) map from the master NIS server to the slave NIS servers. It is normally run only on the master NIS server by the Makefile in /var/yp after the master databases are changed. It first constructs a list of NIS server hosts by reading the NIS map ypservers within the domain. Keys within the map ypservers are the ASCII names of the machines on which the NIS servers run.

A ``transfer map'' request is sent to the NIS server at each host, along with the information needed by the transfer agent (the program which actually moves the map) to call back the yppush . When the attempt has completed (successfully or not), and the transfer agent has sent yppush a status message, the results may be printed to stdout. Messages are also printed when a transfer is not possible; for instance when the request message is undeliverable, or when the timeout period on responses has expired.

Refer to ypfiles(5) and ypserv(8) for an overview of the Network Information Service.

OPTIONS

-d  Specify a domain.

-v  Verbose. This causes messages to be printed when each server is called, and for each response. If this flag is omitted, only error messages are printed.

FILES
/var/yp/domain/ypservers.{dir,pag}
/var/yp

SEE ALSO
ypfiles(5), ypserv(8), ypxfr(8), NIS protocol specification

BUGS

In the current implementation (version 2 NIS protocol), the transfer agent is ypxfr(8), which is started by the ypserv program. If yppush detects that it is speaking to a version 1 NIS protocol server, it uses the older protocol, sending a version 1 YPPROC_GET request and issues a message to that effect. Unfortunately, there is no way of knowing if or when the map transfer is performed for version 1 servers. yppush prints a message saying that an "old-style" message has been sent. The system administrator should later check to see that the transfer has actually taken place.